> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve Benefits for EOR Contract

GET https://api.letsdeel.com/rest/eor/{contract_id}/benefits

Returns benefits associated with the specified EOR contract.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-benefits/get-eor-benefits-by-contract-id

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — Deel contract ID.

## Response

### 200

Successfully retrieved the list of EOR contract benefits.

- `data` (list of EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — The unique ID of the benefit.
- `name` (string, optional) — The name of the benefit.
- `plan` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsPlan, optional)
- `provider` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvider, optional)
- `offer_status` (enum, optional) — Indicates whether the benefit is offered.
  - Allowed values: `Offered`, `Not offered`
- `enrollment_details` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetails, optional)

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsPlan

- `name` (string, optional) — The name of the associated plan.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvider

- `name` (string, optional) — The name of the benefit provider.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetails

- `plan` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsPlan, optional)
- `status` (string, optional) — The current enrollment status of the benefit.
- `standard` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsStandard, optional)
- `current_cycle` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsCurrentCycle, optional)

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsPlan

- `name` (string, optional) — The name of the enrolled plan.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsStandard

- `monthly_cost` (string, optional, nullable) — The standard monthly cost of the benefit.
- `employee_monthly_contribution` (string, optional, nullable) — The standard monthly employer contribution.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsCurrentCycle

- `monthly_cost` (string, optional) — The monthly cost of the current enrollment.
- `employee_monthly_contribution` (string, optional) — The employer's monthly contribution for the current enrollment.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "benefit1",
      "name": "Health Insurance",
      "plan": {
        "name": "Gold Plan"
      },
      "provider": {
        "name": "Global Insurance Co."
      },
      "offer_status": "Offered",
      "enrollment_details": {
        "plan": {
          "name": "Gold Plan"
        },
        "status": "Enrolled",
        "standard": {
          "monthly_cost": "180",
          "employee_monthly_contribution": "130"
        },
        "current_cycle": {
          "monthly_cost": "200",
          "employee_monthly_contribution": "150"
        }
      }
    },
    {
      "id": "benefit2",
      "name": "Retirement Plan",
      "plan": {
        "name": "Standard Pension"
      },
      "provider": {
        "name": "Pension Trust"
      },
      "offer_status": "Not offered"
    }
  ]
}
```

**SDK Code**

```python Example of a successful response.
import requests

url = "https://api.letsdeel.com/rest/eor/mryv8dx/benefits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example of a successful response.
const url = 'https://api.letsdeel.com/rest/eor/mryv8dx/benefits';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example of a successful response.
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/mryv8dx/benefits"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example of a successful response.
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/mryv8dx/benefits")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example of a successful response.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/mryv8dx/benefits")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example of a successful response.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/mryv8dx/benefits', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example of a successful response.
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/mryv8dx/benefits");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example of a successful response.
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/mryv8dx/benefits")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```